function [Tax_rate_Coal_US,Tax_rate_Oil_US,Tax_rate_Coal_EU,Tax_rate_Oil_EU,Tax_rate_Coal_CH,Tax_rate_Oil_CH,Tax_rate_Coal_SA,Tax_rate_Oil_SA,...
    Tax_rate_Coal_DEV,Tax_rate_Oil_DEV,Tax_rate_Coal_OC,Tax_rate_Oil_OC,Tax_rate_Frack_US,Tax_rate_Frack_CH] =  Tax_regimes(Tax_dum)

% % % NO TAXES: Tax_dum   =   0;
% % % CO2 TAXES IN ALL COUNTRIES: Tax_dum   =   1;
% % % COAL TAXES IN ALL COUNTRIES: Tax_dum   =   2;
% % % CO2 TAXES ONLY IN EUROPE: Tax_dum   =   3;
% % % COAL TAXES ONLY IN EUROPE: Tax_dum   =   4;
% % % A SWEDISH CO2 TAX IN ALL COUNTRIES: Tax_dum   =   5;

if Tax_dum   ==   0
    Tax_rate_Coal_US            =   0;
    Tax_rate_Oil_US             =   0;
    Tax_rate_Coal_EU            =   0;
    Tax_rate_Oil_EU             =   0;
    Tax_rate_Coal_CH            =   0;
    Tax_rate_Oil_CH             =   0;
    Tax_rate_Coal_SA            =   0;
    Tax_rate_Oil_SA             =   0;
    Tax_rate_Coal_DEV           =   0;
    Tax_rate_Oil_DEV            =   0;
    Tax_rate_Coal_OC            =   0;
    Tax_rate_Oil_OC             =   0;
    Tax_rate_Frack_US           =   0;
    Tax_rate_Frack_CH           =   1000;
elseif Tax_dum   ==   1
    Tax_rate_Coal_US            =   1;
    Tax_rate_Oil_US             =   1;
    Tax_rate_Coal_EU            =   1;
    Tax_rate_Oil_EU             =   1;
    Tax_rate_Coal_CH            =   1;
    Tax_rate_Oil_CH             =   1;
    Tax_rate_Coal_SA            =   1;
    Tax_rate_Oil_SA             =   1;
    Tax_rate_Coal_DEV           =   1;
    Tax_rate_Oil_DEV            =   1;
    Tax_rate_Coal_OC            =   1;
    Tax_rate_Oil_OC             =   1;
    Tax_rate_Frack_US           =   1;
    Tax_rate_Frack_CH           =   1000;
elseif Tax_dum   ==   2
    Tax_rate_Coal_US            =   1;
    Tax_rate_Oil_US             =   0;
    Tax_rate_Coal_EU            =   1;
    Tax_rate_Oil_EU             =   0;
    Tax_rate_Coal_CH            =   1;
    Tax_rate_Oil_CH             =   0;
    Tax_rate_Coal_SA            =   1;
    Tax_rate_Oil_SA             =   0;
    Tax_rate_Coal_DEV           =   1;
    Tax_rate_Oil_DEV            =   0;
    Tax_rate_Coal_OC            =   1;
    Tax_rate_Oil_OC             =   0;
    Tax_rate_Frack_US           =   1;
    Tax_rate_Frack_CH           =   1000;
elseif Tax_dum   ==   3
    Tax_rate_Coal_US            =   0;
    Tax_rate_Oil_US             =   0;
    Tax_rate_Coal_EU            =   1;
    Tax_rate_Oil_EU             =   1;
    Tax_rate_Coal_CH            =   0;
    Tax_rate_Oil_CH             =   0;
    Tax_rate_Coal_SA            =   0;
    Tax_rate_Oil_SA             =   0;
    Tax_rate_Coal_DEV           =   0;
    Tax_rate_Oil_DEV            =   0;
    Tax_rate_Coal_OC            =   0;
    Tax_rate_Oil_OC             =   0;
    Tax_rate_Frack_US           =   0;
    Tax_rate_Frack_CH           =   1000;
elseif Tax_dum   ==   4
    Tax_rate_Coal_US            =   0;
    Tax_rate_Oil_US             =   0;
    Tax_rate_Coal_EU            =   1;
    Tax_rate_Oil_EU             =   0;
    Tax_rate_Coal_CH            =   0;
    Tax_rate_Oil_CH             =   0;
    Tax_rate_Coal_SA            =   0;
    Tax_rate_Oil_SA             =   0;
    Tax_rate_Coal_DEV           =   0;
    Tax_rate_Oil_DEV            =   0;
    Tax_rate_Coal_OC            =   0;
    Tax_rate_Oil_OC             =   0;
    Tax_rate_Frack_US           =   0;
    Tax_rate_Frack_CH           =   1000;
elseif Tax_dum   ==   5
    Tax_rate_Coal_US            =   1;
    Tax_rate_Oil_US             =   1;
    Tax_rate_Coal_EU            =   1;
    Tax_rate_Oil_EU             =   1;
    Tax_rate_Coal_CH            =   1;
    Tax_rate_Oil_CH             =   1;
    Tax_rate_Coal_SA            =   1;
    Tax_rate_Oil_SA             =   1;
    Tax_rate_Coal_DEV           =   1;
    Tax_rate_Oil_DEV            =   1;
    Tax_rate_Coal_OC            =   1;
    Tax_rate_Oil_OC             =   1;
    Tax_rate_Frack_US           =   1;
    Tax_rate_Frack_CH           =   1000;
elseif Tax_dum   ==   6
    
% % % ------------------------ EXPERIMENT 1: ------------------------------
% % % THE DEVELOPING WORLD DOES NOT CONTRIBUTE, AND THE OTHER COUNTRIES SET 
% % % A HIGHER TAX TO REACH THE SAME TEMPERATURE IN 2165

% % x IS HOW MUCH THE OTHER NEED TO INCREASE THEIR TAX RATES
% % %     x                           =   5.3;
% % %     
% % %     Tax_rate_Coal_US            =   1*x;
% % %     Tax_rate_Oil_US             =   1*x;
% % %     Tax_rate_Coal_EU            =   1*x;
% % %     Tax_rate_Oil_EU             =   1*x;
% % %     Tax_rate_Coal_CH            =   1*x;
% % %     Tax_rate_Oil_CH             =   1*x;
% % %     Tax_rate_Coal_SA            =   1*x;
% % %     Tax_rate_Oil_SA             =   1*x;    
% % %     Tax_rate_Coal_DEV           =   0.0;
% % %     Tax_rate_Oil_DEV            =   0.0;
% % %     Tax_rate_Coal_OC            =   1*x;
% % %     Tax_rate_Oil_OC             =   1*x;    
% % %     Tax_rate_Frack_US           =   1*x;
% % %     Tax_rate_Frack_CH           =   1000;


% % % ------------------------ EXPERIMENT 2: ------------------------------
% % % CHINA HAS A ZERO TAX, AND THE OTHER COUNTRIES SET 
% % % A HIGHER TAX TO REACH THE SAME TEMPERATURE IN 2165

% % x IS HOW MUCH THE OTHER NEED TO INCREASE THEIR TAX RATES
    x                           =   20.;
    
    Tax_rate_Coal_US            =   1*x;
    Tax_rate_Oil_US             =   1*x;
    Tax_rate_Coal_EU            =   1*x;
    Tax_rate_Oil_EU             =   1*x;
    Tax_rate_Coal_CH            =   0.155;
    Tax_rate_Oil_CH             =   0.155;
    Tax_rate_Coal_SA            =   1*x;
    Tax_rate_Oil_SA             =   1*x;
    Tax_rate_Coal_DEV           =   1*x;
    Tax_rate_Oil_DEV            =   1*x;
    Tax_rate_Coal_OC            =   1*x;
    Tax_rate_Oil_OC             =   1*x;
    Tax_rate_Frack_US           =   1*x;
    Tax_rate_Frack_CH           =   1000;
    

    
end
